/*------------ Telecommunications & Signal Processing Lab --------------
                         McGill University

Routine:
  SunAudioPort.h

Description:
  Declarations for SunAudioPort

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.10 $  $Date: 1999/06/14 16:25:14 $

----------------------------------------------------------------------*/

#ifndef SunAudioPort_h_
#define SunAudioPort_h_

#define PROGRAM "SunAudioPort"
#define VERSION	"v1r4  1999/06/06"

#include <AD.h>

/* Usage */
#define SAMF_Usage "\
Usage: %s option\n\
Option:\n\
  -g VOL, --gain=VOL          Output port volume (0 to 100).\n\
  -b BAL, --balance=BAL       Output port stereo balance (0 to 100).\n\
  -p PORTS, --ports=PORTS     Ports, \"speaker\", \"headphone\", \"line-out\".\n\
  -m, --mute                  Mute the output.\n\
  -u, --unmute                Unmute the output.\n\
  -d DEV, --device=DEV        Audio device name.\n\
  -h, --help                  Print this message and exit.\n\
  -v, --version               Print the version number and exit."


#ifdef __cplusplus
extern "C" {
#endif

/* Prototypes */
void
SAoptions (int argc, const char *argv[], const char **AudioDev,
	   struct AD_DevOpt *DevOpt);

#ifdef __cplusplus
}
#endif

#endif /* SunAudioPort_h_ */
